summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-09-18 18:01:31 +0200
committerHans de Graaff <graaff@gentoo.org>2019-09-18 18:01:31 +0200
commit46b18784e9b5a965e42ec839bfb877413e10e090 (patch)
treede44d282058583bbff993aa147acf1d87eab16cc /dev-ruby/x25519
parentdev-lang/erlang: add 22.0.7 and fix systemd support (diff)
downloadgentoo-46b18784e9b5a965e42ec839bfb877413e10e090.tar.gz
gentoo-46b18784e9b5a965e42ec839bfb877413e10e090.tar.bz2
gentoo-46b18784e9b5a965e42ec839bfb877413e10e090.zip
dev-ruby/x25519: fix gemspec generation
Fixes: https://bugs.gentoo.org/694754 Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/x25519')
-rw-r--r--dev-ruby/x25519/x25519-1.0.8.ebuild2
1 files changed, 2 insertions, 0 deletions
diff --git a/dev-ruby/x25519/x25519-1.0.8.ebuild b/dev-ruby/x25519/x25519-1.0.8.ebuild
index bdc8cd16bb9..69c7f169907 100644
--- a/dev-ruby/x25519/x25519-1.0.8.ebuild
+++ b/dev-ruby/x25519/x25519-1.0.8.ebuild
@@ -24,6 +24,8 @@ IUSE=""
all_ruby_prepare() {
sed -i -e '/bundler/ s:^:#: ; /coverall/I s:^:#:' spec/spec_helper.rb || die
+
+ sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
}
each_ruby_configure() {